{
    "MUXER_OUTPUT_HEIGHT": 1080,
    "MUXER_OUTPUT_WIDTH": 1920,
    "output_video_path": "test.mkv",
    "display_output": 2,
    "codec_rtsp_out": "H264",
    "mount_address": "/rtsp-output",
    "udp_buffer_size": 524288,
    "clock_rate": 90000,
    "bitrate": 4000000,
    "payload": 96,
    "rtsp_port": 3087,
    "updsink_port_num": 5400,
    "host": "224.224.255.255",
    "prometheus": {
        "port": 3091,
        "host": "0.0.0.0"
    },
    "pgie_batch_size": 16,
    "threshold_body_detection": 0.05,
    "inferserver_pgie_config_file": "../data/inferserver/primary_detector_config.txt",
    "PGIE_NET_WIDTH": 640,
    "PGIE_NET_HEIGHT": 640,
    "face_batch_size": 16,
    "threshold_face_detection": 0.90,
    "inferserver_face_config_file": "../data/inferserver/face_detector_config.txt",
    "FACE_NET_WIDTH": 160,
    "FACE_NET_HEIGHT": 160,
    "ll-config-file": "../data/tracker_configs/config_tracker_NvDCF_perf.yml",
    "ll-lib-file": "../data/tracker_configs/libnvds_nvmultiobjecttracker.so",
    "dynamic_add_remove": true,
    "nvmultiurisrc": {
        "uri-list": "",
        "max-batch-size": 20,
        "live-source": 1,
        "batched-push-timeout": 33333,
        "rtsp-reconnect-interval": 1,
        "rtsp-reconnect-attempts": 10,
        "drop-pipeline-eos": true,
        "drop-frame-interval": 5,
        "file-loop": false,
        "width": 1920,
        "height": 1080,
        "cudadec-memtype": 0,
        "latency": 200,
        "sensor-id-list": "",
        "sensor-name-list": "",
        "buffer-pool-size": 16,
        "ip-address": "localhost",
        "port": "9456",
        "disable-audio": true,
        "config-file-path": "",
        "max-latency": 1000000,
        "num-extra-surfaces": 1,
        "num-surfaces-per-frame": 0
    },
    "msgconv": {
        "msgconv_config_file": "../data/nvmsgconv_configs/msgconv_config.txt",
        "payload_generation_library": "../data/nvmsgconv_configs/libnvds_msgconv.so",
        "msgconv_frame_interval": 1
    },
    "msgbroker": {
        "msgbroker_config_file": "../data/nvmsgboker_configs/msgbroker_config.txt",
        "protocol_adaptor_library": "../data/nvmsgboker_configs/libnvds_redis_proto.so",
        "redis_broker_host": "localhost",
        "redis_broker_port": 6379,
        "topic_redis": "redis_stream"
    },
    "compression_coefficient": 0.125,
    "write_full_frame_to_disk": true,
    "write_cropped_objects_to_disk": true
}